<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="2302e837-08d9-427b-bdcf-c6cd8fa1f2c9" name="Default Changelist" comment="fix(nyc): add excluded folders">
      <change afterPath="$PROJECT_DIR$/src/controller/coverage.controller.ts" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/service/coverage.service.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/package-lock.json" beforeDir="false" afterPath="$PROJECT_DIR$/package-lock.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/package.json" beforeDir="false" afterPath="$PROJECT_DIR$/package.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/app.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/app.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/config/.env" beforeDir="false" afterPath="$PROJECT_DIR$/src/config/.env" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/controller/productControler.ts" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/loaders/express.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/loaders/express.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/loaders/index.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/loaders/index.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/loaders/mongoose.ts" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/loaders/sequelize.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/loaders/sequelize.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/models/product.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/models/group.model.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/routes/routes.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/routes/routes.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/service/productService.ts" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="TypeScript File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/all_apps/relation-client-api" />
  </component>
  <component name="ProjectId" id="1lPng8ud68Kwa8HGNtd6L3U97Rt" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../front" />
    <property name="nodejs_interpreter_path" value="wsl://Ubuntu@/usr/bin/node" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="prettierjs.PrettierConfiguration.Package" value="C:\Users\gulrupa\Projets\URSI\dashboard\api\node_modules\prettier" />
    <property name="settings.editor.selected.configurable" value="settings.nodejs" />
    <property name="ts.external.directory.path" value="C:\Users\gulrupa\Projets\URSI\dashboard\api\node_modules\typescript\lib" />
    <property name="vue.rearranger.settings.migration" value="true" />
  </component>
  <component name="RunManager">
    <configuration default="true" type="js.build_tools.npm">
      <package-json value="$PROJECT_DIR$/package.json" />
      <command value="run" />
      <scripts>
        <script value="start" />
      </scripts>
      <node-interpreter value="project" />
      <envs />
      <method v="2" />
    </configuration>
    <configuration name="start" type="js.build_tools.npm" nameIsGenerated="true">
      <package-json value="$PROJECT_DIR$/package.json" />
      <command value="run" />
      <scripts>
        <script value="start" />
      </scripts>
      <node-interpreter value="project" />
      <envs />
      <method v="2" />
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="2302e837-08d9-427b-bdcf-c6cd8fa1f2c9" name="Default Changelist" comment="" />
      <created>1607507704845</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1607507704845</updated>
      <workItem from="1607507706763" duration="15846000" />
      <workItem from="1607546927493" duration="1366000" />
      <workItem from="1607594948820" duration="4507000" />
    </task>
    <task id="LOCAL-00001" summary="fix(nyc): add excluded folders">
      <created>1607600687321</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1607600687321</updated>
    </task>
    <task id="LOCAL-00002" summary="fix(nyc): add excluded folders">
      <created>1607600888027</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1607600888027</updated>
    </task>
    <option name="localTasksCounter" value="3" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="fix(nyc): add excluded folders" />
    <option name="LAST_COMMIT_MESSAGE" value="fix(nyc): add excluded folders" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>